GDB (xrefs)

Public Attributes | List of all members
_iterator_smob Struct Reference

## Public Attributes
gdb_smob | base
SCM | object
SCM | progress
SCM | next_x

## Detailed Description

Definition at line 61 of file scm-iterator.c.

## Member Data Documentation

## ◆ base

gdb_smob _iterator_smob::base

Definition at line 64 of file scm-iterator.c.

## ◆ next_x

SCM _iterator_smob::next_x

Definition at line 76 of file scm-iterator.c.

Referenced by gdbscm_iterator_next_x(), itscm_make_iterator_smob(), itscm_print_iterator_smob(), and itscm_safe_call_next_x().

## ◆ object

SCM _iterator_smob::object

Definition at line 67 of file scm-iterator.c.

Referenced by gdbscm_iterator_object(), itscm_iterator_smob_object(), itscm_make_iterator_smob(), and itscm_print_iterator_smob().

## ◆ progress

SCM _iterator_smob::progress

Definition at line 71 of file scm-iterator.c.

Referenced by gdbscm_iterator_progress(), gdbscm_set_iterator_progress_x(), itscm_iterator_smob_progress(), itscm_make_iterator_smob(), itscm_print_iterator_smob(), and itscm_set_iterator_smob_progress_x().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-iterator.c